Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566600 - Handle absence of managed disks/managed images
Summary: Handle absence of managed disks/managed images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.11.0
Assignee: Adam Grare
QA Contact: Angelina Vasileva
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 15:21 UTC by Brandon Squizzato
Modified: 2019-12-12 13:34 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 13:33:51 UTC
Category: Feature
Cloudforms Team: Azure
Target Upstream Version:
bsquizza: automate_bug-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4199 0 None None None 2019-12-12 13:34:11 UTC

Description Brandon Squizzato 2018-04-12 15:21:05 UTC
Azure public clouds support managed disks/managed images. The Azure Stack currently does not and inventory collection fails due to us querying these APIs and getting 404 error responses back.

The inventory collection process could be changed to simply catch exceptions when a 404 error is hit while trying to grab inventory on those resources but we probably need a more robust solution (i.e. check for support of disks/images before trying to collect inventory on them)

Comment 2 Dave Johnson 2018-04-12 15:44:54 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Daniel Berger 2018-04-18 13:42:23 UTC
It shouldn't be too difficult to add a check to see if managed images and disks are supported.

Comment 4 Daniel Berger 2018-06-06 15:38:34 UTC
Since this is a potential issue for at least one other region - USGov Iowa according to their support matrix - I think it's worth adding a check anyway.

Comment 9 Daniel Berger 2019-01-09 18:55:10 UTC
Ok, I think I have a working solution:

https://github.com/ManageIQ/manageiq-providers-azure/pull/321

Please apply those changes and see if it works. You should see a warning in the logs for managed disks not being supported.

Comment 10 Angelina Vasileva 2019-01-10 13:15:52 UTC
I got this error

[----] E, [2019-01-10T08:05:43.381825 #8068:948f68] ERROR -- : [NoMethodError]: undefined method `cached_resource_provider_service' for #<ManageIQ::Providers::Azure::Inventory::Collector::CloudManager:0x0000000007a6b538>  Method:[block (2 levels) in <class:LogProxy>]

Should I also modify some config?

Comment 27 Daniel Berger 2019-09-10 14:46:47 UTC
Brandon, since this only affected Stack, and since Stack is a separate provider now, can this be closed? Assuming it works with the azure-stack provider, of course.

Comment 28 Brandon Squizzato 2019-09-10 14:58:53 UTC
Yes, looks like Angelina verified this in 5.11.0.7 using an Azure Stack provider so I think we're good here. Moving to VERIFIED

Comment 31 errata-xmlrpc 2019-12-12 13:33:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4199


Note You need to log in before you can comment on or make changes to this bug.